/**
 * @license
 * Copyright Meepo Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at http://meepo.com.cn/license
 */
import { __decorate } from 'tslib';
import * as tslib_1 from 'tslib';
import { Component, Directive, HostBinding, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

let WeuiFooter = class WeuiFooter {
    constructor() {
        this._footer = true;
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
};
__decorate([
    HostBinding('class.weui-footer')
], WeuiFooter.prototype, "_footer", void 0);
WeuiFooter = __decorate([
    Component({
        selector: 'weui-footer',
        template: `
        <ng-content select="footer-links"></ng-content>
        <ng-content select="footer-text"></ng-content>
    `
    })
], WeuiFooter);
let WeuiFooterFixed = class WeuiFooterFixed {
    constructor() {
        this._fixed = true;
    }
};
__decorate([
    HostBinding('class.weui-footer_fixed-bottom')
], WeuiFooterFixed.prototype, "_fixed", void 0);
WeuiFooterFixed = __decorate([
    Directive({
        selector: 'weui-footer[fixed]',
    })
], WeuiFooterFixed);
let WeuiFooterLinks = class WeuiFooterLinks {
    constructor() {
        // weui-footer__links
        this._links = true;
    }
};
__decorate([
    HostBinding('class.weui-footer__links')
], WeuiFooterLinks.prototype, "_links", void 0);
WeuiFooterLinks = __decorate([
    Directive({
        selector: 'footer-links',
    })
], WeuiFooterLinks);
let WeuiFooterLink = class WeuiFooterLink {
    constructor() {
        this._link = true;
    }
};
__decorate([
    HostBinding('class.weui-footer__link')
], WeuiFooterLink.prototype, "_link", void 0);
WeuiFooterLink = __decorate([
    Directive({
        selector: 'a[footer-link]',
    })
], WeuiFooterLink);
let WeuiFooterText = class WeuiFooterText {
    constructor() {
        this._text = true;
        this._display = 'block';
    }
};
__decorate([
    HostBinding('class.weui-footer__text')
], WeuiFooterText.prototype, "_text", void 0);
__decorate([
    HostBinding('style.display')
], WeuiFooterText.prototype, "_display", void 0);
WeuiFooterText = __decorate([
    Directive({
        selector: 'footer-text',
    })
], WeuiFooterText);

const components = [
    WeuiFooter,
    WeuiFooterFixed,
    WeuiFooterLinks,
    WeuiFooterLink,
    WeuiFooterText
];
let WeuiFooterModule = class WeuiFooterModule {
};
WeuiFooterModule = __decorate([
    NgModule({
        declarations: [
            ...components
        ],
        imports: [CommonModule],
        exports: [
            ...components
        ],
        providers: [],
    })
], WeuiFooterModule);

/**
 * Generated bundle index. Do not edit.
 */

export { WeuiFooterModule, WeuiFooter, WeuiFooterFixed, WeuiFooterLinks, WeuiFooterLink, WeuiFooterText };
//# sourceMappingURL=weui-footer.js.map
